import 'package:diplomaticquarterapp/core/viewModels/medical/reports_monthly_view_model.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_html/flutter_html.dart';

class UserAgreementContent extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BaseView<ReportsMonthlyViewModel>(
      onModelReady: (model) => model.getUserTermsAndConditions(),
      builder: (_, model, w) => AppScaffold(
        isShowAppBar: true,
        baseViewModel: model,
        appBarTitle: TranslationBase.of(context).userAgreement,
        body: SingleChildScrollView(
          child: Html(
            data: model.userAgreementContent,
          ),
        ),
      ),
    );
  }
}
